html 
    head 
        style
            include ../public/css/csrf.css

        title CSRF
    body

        div(class="navigation")
            ul(class="nav-list")
                li(class="nav-item"): a(href="/" class="nav-link") HOME 
                li(class="nav-item"): a(href="/csrf" class="nav-link") CSRF
                li(class="nav-item"): form(action="/logout" method="post" id="logout-form")
                    input(type="submit" value="LOGOUT" id="logout-button")
                    if(token)
                        input(type="hidden" name="token" value=token)


        h1(class="main-page-title") CSRF

        p(class="description") Ovdje možete testirati ranjivost CSRF.

        div(id="form-container")
            form(action="/csrf" method="post")
                div(class="input-field")
                    label(for="csrf-enabled") Omogući CSRF: 
                    input#csrf-enabled(type="checkbox", name="csrf-enabled" checked=isCSRFEnabled)
                div(class="input-field")
                    input(type="submit", value="Save")

        p(class="description") Klikom na 
            a(href="https://malicious-site.onrender.com" target="_blank" class="malicious-link") link
            | 
            .
             otvorit će se stranica koja će pokušati izvršiti CSRF (Cross site request forgery).

        p(class="description") Ukoliko je CSRF omogućen, on će biti uspješno izvršen, a ukoliko je onemogućen, zahtjev će biti neuspješan.

        p(class="description") Uspješno izvršen CSRF rezultira odjavom prijavljenog korisnika, dok se prilikom neuspješnog lažiranja zahtjeva kao odgovor dobiva statusni kod 403.
